RefextractServiceResource
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.execution.refextractservice
Class RefextractServiceResource

    java.lang.Object
      GCUBEWSResource
          org.gcube.execution.refextractservice.RefextractServiceResource

    public class RefextractServiceResource

extends GCUBEWSResource

A class containing stateful information regarding a submitted OCR job

Version:
  0.1

Field Summary
`static java.lang.String` | `RP_COMPLETED`
`static java.lang.String` | `RP_ENGINEURL`
`static java.lang.String` | `RP_ERROR`
`static java.lang.String` | `RP_ERRORDETAILS`
`static java.lang.String` | `RP_EXECUTIONID`
`static java.lang.String` | `RP_JOBERRSSID`
`static java.lang.String` | `RP_JOBNAME`
`static java.lang.String` | `RP_JOBOUTSSID`
`static java.lang.String` | `RP_LASTPOLLDATE`
`static java.lang.String` | `RP_OUTPUTSSID`
`static java.lang.String` | `RP_OWNER`
`static java.lang.String` | `RP_STATUSDESCRIPTION`
`static java.lang.String` | `RP_SUBMITDATE`
`static java.lang.String` | `RP_SUBSCOPE`

Constructor Summary
`RefextractServiceResource()` Empty constructor.

Method Summary
`boolean` | `getCompleted()`
`java.lang.String` | `getEngineUrl()`
`java.lang.String` | `getError()`
`java.lang.String` | `getErrorDetails()`
`java.lang.String` | `getExecutionId()`
`java.lang.String` | `getJoberrSSID()`
`java.lang.String` | `getJobName()`
`java.lang.String` | `getJoboutSSID()`
`java.lang.String` | `getLastPollDate()`
`java.lang.String` | `getOutputSSID()`
`java.lang.String` | `getOwner()`
`java.lang.String` | `getStatusDescritpion()`
`java.lang.String` | `getSubmitDate()`
`java.lang.String` | `getSubScope()`
`void` | `setCompleted(boolean completed)`
`void` | `setEngineUrl(java.lang.String engUrl)`
`void` | `setError(java.lang.String error)`
`void` | `setErrorDetails(java.lang.String errorDetails)`
`void` | `setExecutionId(java.lang.String execId)`
`void` | `setJoberrSSID(java.lang.String ssid)`
`void` | `setJobName(java.lang.String jobName)`
`void` | `setJoboutSSID(java.lang.String ssid)`
`void` | `setLastPollDate(java.lang.String date)`
`void` | `setOutputSSID(java.lang.String ssid)`
`void` | `setOwner(java.lang.String owner)`
`void` | `setStatusDescription(java.lang.String statusDescription)`
`void` | `setSubmitDate(java.lang.String date)`
`void` | `setSubScope(java.lang.String scope)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RP_JOBNAME

    public static final java.lang.String RP_JOBNAME

See Also:
  Constant Field Values

### RP_STATUSDESCRIPTION

    public static final java.lang.String RP_STATUSDESCRIPTION

See Also:
  Constant Field Values

### RP_SUBMITDATE

    public static final java.lang.String RP_SUBMITDATE

See Also:
  Constant Field Values

### RP_LASTPOLLDATE

    public static final java.lang.String RP_LASTPOLLDATE

See Also:
  Constant Field Values

### RP_COMPLETED

    public static final java.lang.String RP_COMPLETED

See Also:
  Constant Field Values

### RP_OUTPUTSSID

    public static final java.lang.String RP_OUTPUTSSID

See Also:
  Constant Field Values

### RP_JOBOUTSSID

    public static final java.lang.String RP_JOBOUTSSID

See Also:
  Constant Field Values

### RP_JOBERRSSID

    public static final java.lang.String RP_JOBERRSSID

See Also:
  Constant Field Values

### RP_ERROR

    public static final java.lang.String RP_ERROR

See Also:
  Constant Field Values

### RP_ERRORDETAILS

    public static final java.lang.String RP_ERRORDETAILS

See Also:
  Constant Field Values

### RP_EXECUTIONID

    public static final java.lang.String RP_EXECUTIONID

See Also:
  Constant Field Values

### RP_ENGINEURL

    public static final java.lang.String RP_ENGINEURL

See Also:
  Constant Field Values

### RP_OWNER

    public static final java.lang.String RP_OWNER

See Also:
  Constant Field Values

### RP_SUBSCOPE

    public static final java.lang.String RP_SUBSCOPE

See Also:
  Constant Field Values

Constructor Detail

### RefextractServiceResource

    public RefextractServiceResource()

  Empty constructor. Initialization is done throught the initialize(...) method

Method Detail

### setJobName

    public void setJobName(java.lang.String jobName)

### getJobName

    public java.lang.String getJobName()

### setStatusDescription

    public void setStatusDescription(java.lang.String statusDescription)

### getStatusDescritpion

    public java.lang.String getStatusDescritpion()

### setSubmitDate

    public void setSubmitDate(java.lang.String date)

### getSubmitDate

    public java.lang.String getSubmitDate()

### setLastPollDate

    public void setLastPollDate(java.lang.String date)

### getLastPollDate

    public java.lang.String getLastPollDate()

### setCompleted

    public void setCompleted(boolean completed)

### getCompleted

    public boolean getCompleted()

### setOutputSSID

    public void setOutputSSID(java.lang.String ssid)

### getOutputSSID

    public java.lang.String getOutputSSID()

### setJoboutSSID

    public void setJoboutSSID(java.lang.String ssid)

### getJoboutSSID

    public java.lang.String getJoboutSSID()

### setJoberrSSID

    public void setJoberrSSID(java.lang.String ssid)

### getJoberrSSID

    public java.lang.String getJoberrSSID()

### setError

    public void setError(java.lang.String error)

### getError

    public java.lang.String getError()

### setErrorDetails

    public void setErrorDetails(java.lang.String errorDetails)

### getErrorDetails

    public java.lang.String getErrorDetails()

### setExecutionId

    public void setExecutionId(java.lang.String execId)

### getExecutionId

    public java.lang.String getExecutionId()

### setEngineUrl

    public void setEngineUrl(java.lang.String engUrl)

### getEngineUrl

    public java.lang.String getEngineUrl()

### setOwner

    public void setOwner(java.lang.String owner)

### getOwner

    public java.lang.String getOwner()

### setSubScope

    public void setSubScope(java.lang.String scope)

### getSubScope

    public java.lang.String getSubScope()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD